by Devin Yang , 3 years ago

安裝最新版本的docker-compose
我有調整過了,可在MacOS上執行
#!/bin/bash
compose_version=$(curl -s https://api.github.com/repos/docker/compose/releases/latest|grep tag_name|cut -d: -f 2|sed 's/["|,]//g'|sed -e 's/^[[:space:]]*//')
output='/usr/local/bin/docker-compose'
#echo "curl -sL https://github.com/docker/compose/releases/download/$compose_version/docker-compose-$(uname -s)-$(uname -m) -o $output"
curl -sL https://github.com/docker/compose/releases/download/$compose_version/docker-compose-$(uname -s)-$(uname -m) -o $output
chmod +x $output
echo $(docker-compose --version)
如果是用Raspberry,請直接安裝舊版本的,目前沒有relase arm的版本
sudo apt install docker-compose

Tags: docker

Devin Yang

有什麼建議或想法,歡迎提出來哦

No Comment

Post your comment

Login is required to leave comments

Similar Stories


docker

ubuntu上安裝docker-compose

簡單介紹我如何在ubuntu上安裝docker-compose. 還滿容易的。

記錄我在MacOS編譯siege

Siege是一個http負載測試和基準測試工具。 用來對程式碼進行壓力測試。 Siege支持基本認證,cookies,HTTP,HTTPS和FTP協定。 它允許使用者,可以用來模擬並發的連線等訪問網頁伺服器。

php

Apache移除了Authorization Header問題

Apache移除了Authorization Header,在$_SERVER中看不到解法。